org.eclipse.rdf4j.spin.function

## Class SpinFunction

- java.lang.Object
- - org.eclipse.rdf4j.spin.function.AbstractSpinFunction
  - - org.eclipse.rdf4j.spin.function.SpinFunction

- All Implemented Interfaces:
    Function, TransientFunction

      public class SpinFunction
      extends AbstractSpinFunction
      implements TransientFunction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpinFunction(String uri)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArgument(Argument arg)`
    `Value` | `evaluate(ValueFactory valueFactory, Value... args)` Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `List<Argument>` | `getArguments()`
    `ParsedQuery` | `getParsedQuery()`
    `void` | `setParsedQuery(ParsedQuery query)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.rdf4j.spin.function.AbstractSpinFunction

      `addBindings, getCurrentQueryPreparer, getQueryPreparer, getURI, setQueryPreparer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, getURI`

- - ### Constructor Detail

    - #### SpinFunction

          public SpinFunction(String uri)

  - ### Method Detail

    - #### setParsedQuery

          public void setParsedQuery(ParsedQuery query)

    - #### getParsedQuery

          public ParsedQuery getParsedQuery()

    - #### addArgument

          public void addArgument(Argument arg)

    - #### getArguments

          public List<Argument> getArguments()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### evaluate

          public Value evaluate(ValueFactory valueFactory,
                                Value... args)
                         throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.